Skip to content
Hacktron Sign in [S]

List scans

Coming soon 1 min Coming soon , , , , ,

Returns the scans in your organisation, a page at a time. You can filter them by type and status and sort them.

Request

GET /scans

Send an API key with the read scope in the X-Api-Key header.

Query parameters

Parameter Description
page
number
The page number to retrieve. Default 1.
limit
number
The number of items to retrieve per page. Default 100.
scan_type
string
One of pr or full.
status
string
One of pending, running, completed, failed, stopped, cancelled, skipped, pending_verification, pending_triage, draft, estimating, or estimated.
sort_by
string
One of created_at, updated_at, or status.
sort_order
string
One of ASC or DESC. Default DESC.

Responses

200 OK

Field Description
data
array of object, required
data[].id
string, required
data[].task_id
string, required
data[].scan_type
string, required
One of pr or full.
data[].status
string, required
data[].name
string, required, nullable
data[].repo_url
string, required, nullable
data[].branch
string, required, nullable
data[].pr_number
number, required, nullable
data[].target_urls
array of string, required, nullable
data[].findings_summary
object, required
data[].findings_summary.critical
number, required
data[].findings_summary.high
number, required
data[].findings_summary.medium
number, required
data[].findings_summary.low
number, required
data[].findings_summary.info
number, required
data[].created_at
string, required
data[].updated_at
string, required
total
number, required
page
number, required
limit
number, required
Menu
[M]
Next in menu
[J]
Previous in menu
[K]
Find
[F]
Sign in
[S]
Copy page
[C]
Justification
[R]
Dark mode
[D]
High contrast
[H]
Shortcuts
[I]
Close
[esc]